Index: tools/add-bin-doc
===================================================================
--- tools/add-bin-doc	(revision 1397)
+++ tools/add-bin-doc	(working copy)
@@ -10,6 +10,10 @@
 
 DEBMAINVER="`echo $DEBVERSION | sed -e 's/[ _r].*//'`"
 
+if [ "$COMPLETE"x = ""x ] ; then
+	COMPLETE=0
+fi
+
 if [ "$OMIT_RELEASE_NOTES"x = ""x ] ; then
 	OMIT_RELEASE_NOTES=0
 fi
@@ -31,6 +35,7 @@
 	$dir/README.pgp $dir/README.non-US ; \
 
 cpp -traditional -undef -P -C -Wall -nostdinc -I$dir \
+    -D COMPLETE="$COMPLETE" \
     -D OMIT_MANUAL="$OMIT_MANUAL" \
     -D OFFICIAL_VAL=$OFFICIAL_VAL \
     -D OMIT_RELEASE_NOTES="$OMIT_RELEASE_NOTES" \
Index: debian/changelog
===================================================================
--- debian/changelog	(revision 1398)
+++ debian/changelog	(working copy)
@@ -3,13 +3,20 @@
   [ Steve McIntyre ]
   * In start_new_disc, cope with $DEBVERSION containing spaces.
   * Only put the release notes and installation guide on disc#1.
-  * In list2cds, don't add udebs in the final COMPLETE run - 
+  * In list2cds, don't add udebs in the final COMPLETE run -
     they're no use there.
   * Add some munging on the Release files if we're not building
     for "testing". Used in the etch release, and I'll back it out shortly.
 
- -- Steve McIntyre <93sam@debian.org>  Wed, 28 Mar 2007 22:57:41 +0100
+  [ Frans Pop ]
+  * Tweak README to better describe small images and images that are not part
+    of a larger set.
+  * Make link in README to /.disk/info relative so its still valid if the disk
+    is mounted in a regular system.
+  * In README, recommend aptitude also for command line usage.
 
+ -- Frans Pop <fjp@debian.org>  Sun,  8 Apr 2007 00:46:05 +0200
+
 debian-cd (3.0.2) unstable; urgency=high
 
   [ Steve McIntyre ]
Index: data/etch/README.html.in
===================================================================
--- data/etch/README.html.in	(revision 1397)
+++ data/etch/README.html.in	(working copy)
@@ -293,7 +293,13 @@
 </tt>
 <P>
 #ifndef UNOFFEXTRAS
+#if COMPLETE
 which means that this disc is number DISKNUM of a set of TOTALNUM discs.
+#else
+This image only contains those programs needed to install a system. During the
+installation you will be prompted for a network mirror from where additional
+programs will be retrieved.
+#endif
 #if TYPEbinary
 It contains programs ("binaries") for `ARCH' computers.
 #if ARCHia64 && !ARCHamd64
@@ -302,11 +308,15 @@
 please see the Debian amd64 architecture.
 #endif
 <P>
+#if COMPLETE
 The programs on the Binary discs are ordered by popularity. The Binary-1 disc
 contains the most popular programs and the installation tools; it is possible
-to install and run Debian with only the Binary-1 disc. The other discs, up to
-Binary-TOTALNUM, contain mostly special-interest programs.
-<p>
+to install and run Debian with only the Binary-1 disc.
+#if TOTALNUM > 1
+The other discs, up to Binary-TOTALNUM, contain mostly special-interest programs.
+#endif
+<P>
+#endif
 #if OMIT_RELEASE_NOTES
 The Release Notes for "etch" are available on the <A
 href="http://www.debian.org/releases/etch/releasenotes">Debian web
@@ -443,7 +453,7 @@
 HREF="http://bugs.debian.org/">bugs.debian.org</A>.
 <LI>If you're reporting bugs against this disc or the installation
 system, please also mention the version of this disc; this can be
-found in the file <a href="/.disk/info">/.disk/info</a>.
+found in the file <a href="./.disk/info">/.disk/info</a>.
 #endif
 #if OFFICIAL_VAL == 2
 <LI>This is an official release of the Debian system. Please report any
@@ -451,7 +461,7 @@
 HREF="http://bugs.debian.org/">bugs.debian.org</A>.
 <LI>If you're reporting bugs against this disc or the installation
 system, please also mention the version of this disc; this can be
-found in the file <a href="/.disk/info">/.disk/info</a>.
+found in the file <a href="./.disk/info">/.disk/info</a>.
 #endif
 
 <br>&nbsp;
@@ -483,18 +493,18 @@
  <P>
 
  You can install packages from the commandline using
- <tt>apt-get</tt>. For example, if you want to install the packages
+ <tt>aptitude</tt>. For example, if you want to install the packages
  `commprog' and `maxgame', you can give the command
  <P>
  <tt>&nbsp;
-   apt-get install commprog maxgame
+   aptitude install commprog maxgame
  </tt>
  <P>
  Note that you don't have to enter the complete path, or the
  `<tt>.deb</tt>' extension. `Apt' will figure this out itself. 
  <P>
- Or use aptitude for a full screen interactive selection of available
- Debian packages.
+ Or enter just <tt>aptitude</tt> to interactively select available Debian
+ packages using a full screen user interface.
  
 #endif
 
